"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const axios_1 = __importDefault(require("axios"));
const utils_1 = require("./utils");
const debug = (0, utils_1.createDebug)("fetch");
const ua = `volc-sdk-nodejs/v${utils_1.packageVersion}`;
async function request(url, reqInfo) {
    const { headers = {} } = reqInfo;
    const reqOption = Object.assign(Object.assign({ url: url.trim(), timeout: 10000 }, reqInfo), { proxy: process.env.VOLC_PROXY_PORT
            ? {
                protocol: "http",
                host: process.env.VOLC_PROXY_HOST || "127.0.0.1",
                port: +process.env.VOLC_PROXY_PORT,
            }
            : undefined, headers: Object.assign(Object.assign({ "Content-Type": "application/x-www-form-urlencoded" }, headers), { "User-Agent": ua }), validateStatus: null });
    debug("fetch begin. options: %j", reqOption);
    const res = await (0, axios_1.default)(reqOption);
    const body = res.data;
    debug("fetch end. headers: %j response: %j", res.headers, body);
    return body;
}
exports.default = request;
//# sourceMappingURL=fetch.js.map