import { Worker } from "./Worker";
import { Client } from "./Client";
import { ConsumerOptions, ConsumerRunOptions, ConsumerSubscribeOption } from "./types";
export declare class Consumer extends Worker {
    /**
     * 消费组
     */
    private _group;
    /**
     * 订阅的Topic和tag
     */
    private _subscriptions;
    /**
     * 单次拉取消息最大数量
     */
    private _maxMessageNumber;
    /**
     * 单次拉取消息最大等待时长
     */
    private _maxWaitTimeMs;
    /**
     * 轮询间隔
     */
    private _pollingInterval;
    private _consumerAgent;
    /**
     * 是否正在轮询
     */
    private _running;
    constructor(client: Client, options: ConsumerOptions);
    get groupId(): string;
    get subscriptions(): Record<string, string>;
    subscribe(options: ConsumerSubscribeOption): void;
    connect(): Promise<void>;
    close(): Promise<void>;
    run(options: ConsumerRunOptions): Promise<void>;
    stop(): Promise<void>;
    private _consume;
    private _pullMessageRequest;
    private _ackMessagesRequest;
}
