import { Client } from "./Client";
import { PublishMessageOptions } from "./types";
import * as v1 from "./protocol/v1";
import { Worker } from "./Worker";
export declare class MessageProperties {
    properties: Record<string, string>;
    constructor();
    delayAfter(second: number): void;
    delayAt(timeStamp: number): void;
    putProperty(key: string, value: string): void;
}
export declare class Producer extends Worker {
    private _producerAgent;
    constructor(client: Client);
    connect(): Promise<void>;
    close(): Promise<void>;
    publishMessage(options: PublishMessageOptions): Promise<v1.SendResult>;
    private _publishMessageRequest;
}
