"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
exports.sendRequest = void 0;
const axios_1 = __importDefault(require("axios"));
const error_1 = require("./error");
async function sendRequest(options) {
    const { data } = options;
    try {
        const result = await (0, axios_1.default)(options);
        return result.data;
    }
    catch (error) {
        const response = error.response;
        const status = response === null || response === void 0 ? void 0 : response.status;
        const respData = response === null || response === void 0 ? void 0 : response.data;
        const message = (respData === null || respData === void 0 ? void 0 : respData.msg) || (response === null || response === void 0 ? void 0 : response.statusText) || error.message;
        throw new error_1.MQError(message, {
            type: "REQUEST_ERROR",
            cause: { status, params: data, response: respData },
        });
    }
}
exports.sendRequest = sendRequest;
//# sourceMappingURL=request.js.map